crashpad::MinidumpUserStreamWriter::ExtensionStreamContentsWriter Class Referencefinal
Inheritance diagram for crashpad::MinidumpUserStreamWriter::ExtensionStreamContentsWriter:

## Public Member Functions

| ExtensionStreamContentsWriter (std::unique_ptr< MinidumpUserExtensionStreamDataSource > data_source)
bool | WriteContents (FileWriterInterface *writer) override
size_t | GetSize () const override
bool | ExtensionStreamDataSourceRead (const void *data, size_t size) override
| Called by MinidumpUserExtensionStreamDataSource::Read() to provide data requested by a call to that method. More...

## Member Function Documentation

## ExtensionStreamDataSourceRead()

bool crashpad::MinidumpUserStreamWriter::ExtensionStreamContentsWriter::ExtensionStreamDataSourceRead | ( | const void * | data,
|  | size_t | size
| ) |  |

inlineoverridevirtual

Called by MinidumpUserExtensionStreamDataSource::Read() to provide data requested by a call to that method.

Parameters

  [in] | data | A pointer to the data that was read. The callee does not take ownership of this data. This data is only valid for the duration of the call to this method. This parameter may be `nullptr` if size is `0`.
  [in] | size | The size of the data that was read.

Returns
  `true` on success, `false` on failure. MinidumpUserExtensionStreamDataSource::ReadStreamData() will use this as its own return value.

Implements crashpad::MinidumpUserExtensionStreamDataSource::Delegate.

The documentation for this class was generated from the following file:

- minidump/minidump_user_stream_writer.cc